require 'yaml'
require 'net/http'
require 'json'
require 'test/unit/assertions'

include Test::Unit::Assertions

url = 'https://pub.dev/api/packages/'
local_spec = YAML.load_file('pubspec.yaml')
local_spec["dependencies"].each do |lib, version|
    if !version.is_a? String
            next
    end
    if version.start_with?('^')
        version = version[1..-1]
    end
    response = Net::HTTP.get(URI(url+lib))
    latest = JSON.parse(response)["latest"]["version"]
    puts "New version for " + lib + ": " + latest + ", was " + version
end
